#!/usr/bin/env ruby
#
# Filename: backup-ltsp-chroot
# Author:   Michael Pope
# Desc:     This script backs up the chroot section of my LTSP server.
#
#

# Backup dir
source = "i386"

# Change directory to the ltsp section
Dir.chdir("/opt/ltsp")

# Create a filename which includes the year and time.
# EG: 20100727-1340-i386.tar.gz
date = Time.now.strftime("%Y%m%d-%H%M")
filename="#{date}-i386.tar.gz"

# Build target backup file path.
target = "/home/map7/data/backup/ltsp_chroot/#{filename}"

# Check if the target already exists
if File.exists?(target)
  puts "\nBackup file #{target} already exists, \nplease remove before running this backup script again.\n\n"
  exit
end

puts "Backup #{source} to #{target}..."
puts "Correct? [yN]"
ans = gets.chomp

if ans =~ /Y/i
  puts "Enter comment"
  comment = filename + " = " + gets.chomp

  # Keep using z flag for now as it's faster than pbzip on my dual core E8400
  puts "\n\nBacking up please wait....\n\n"
  `tar czvf #{target} #{source}`

  `echo "#{comment}" >> readme.txt`
end
